function tss = ABtest_one(iRun,imagePaths)

load(sprintf('model_run%d.mat',iRun)); % load trained shared-sketch model

nimage = length(imagePaths); % # images
Isize = zeros(nimage, 2);
I = cell(1,nimage);
for i = 1 : nimage
    im = imread(imagePaths{i});
    if size(im,3) == 3
        im = rgb2gray(im);
    end
    im = double(im);
    im = imresize(im,[sx sy]);
    I{i} = im;
    Isize(i, :) = size(I{i});
end

Sx = zeros(1, nimage) + sx; 
Sy = zeros(1, nimage) + sy; 

% filter the testing images 
disp('start filtering');
tic
allfiltered = applyfilterfftsame(I, allfilter);  % filter testing images
disp(['filtering time: ' num2str(toc) ' seconds']);

% sigmoid transformation
% mex Ctransform.c; 
Ctransform(nimage, norient, allfiltered, Sx, Sy, Upperbound);

% compute orientation histograms
hI = cell(size(allfiltered,1),size(allfiltered,2));
for i = 1:size(hI,1)
    for j = 1:size(hI,2)
        hI{i,j} = zeros(size(allfiltered{1,1}));
    end
end

varMap = 1.5*ones(size(allfiltered{1,1}));

sub = max(floor(ax/5),floor(h/4));
CGraHist(nimage,norient,allfiltered,hI,varMap,Upperbound,sx,sy,ax,ay,h,sub);

% pass on the pointers to C for heavy computation
disp('start testing');
tic
nimage = size(hI,1);
norient = size(hI,2);

tss = zeros(nimage,maxNF);
for i = 1:nimage
    for iF = 1:nF
        tmpHI = zeros(1,norient);
        for o = 1:norient
            tmpHI(o) = hI{i,o}(Mx(iF),My(iF));
        end
        tss(i,iF) = - sum((tmpHI-selectedMeanHist(iF,:)).^2)/2/(minVar(iF)+1e-10) - log(1e-10+sqrt(2*pi*minVar(iF))) -log(dZ(iF));
    end
end

disp(['mex-C testing time: ' num2str(toc) ' seconds']);