function tss = ABtest_one(iRun,imagePaths)

load(sprintf('model_run%d.mat',iRun)); % load trained shared-sketch model

nimage = length(imagePaths); % # images
Isize = zeros(nimage, 2);
I = cell(1,nimage);
for i = 1 : nimage
    im = imread(imagePaths{i});
    if size(im,3) == 3
        im = rgb2gray(im);
    end
    im = double(im);
    im = imresize(im,[sx sy]);
    I{i} = im;
    Isize(i, :) = size(I{i});
end

Sx = zeros(1, nimage) + sx; 
Sy = zeros(1, nimage) + sy; 

% filter the testing images 
disp('start filtering');
tic
allfiltered = applyfilterfftsame(I, allfilter);  % filter testing images
disp(['filtering time: ' num2str(toc) ' seconds']);

% sigmoid transformation
mex Ctransform.c; 
Ctransform(nimage, norient, allfiltered, Sx, Sy, Upperbound);

disp('start testing');
tic

% compute local mean features
localMeanMap = cell(nimage,norient);

% compute local mean maps using (the integral image) fft 
averageFilter = ones(2*ax+1,2*ax+1)/(2*ax+1)/(2*ax+1);
for i = 1:nimage
    imsize = size(allfiltered{i,1});
    ave = zeros(imsize);
    for o = 1:norient
        localMeanMap{i,o} = filter2(averageFilter,allfiltered{i,o},'same');
        ave = ave + 1/norient * localMeanMap{i,o};
    end
    for o = 1:norient
        localMeanMap{i,o} = localMeanMap{i,o} ./ ( ave + 1e-10 );
    end
end


clear allfiltered

tss = zeros(nimage, Totalsketch);  % total scores for testing images
for i = 1:nimage
    for iF = 1:Totalsketch % possible to have Totalsketch > nF
        if iF > nF
            break;
        else
            r = localMeanMap{i,Mi(iF)}(Mx(iF),My(iF));
            tss(i,iF) = lambda(iF) * r - logZ(iF);
        end
    end
end

disp(['testing time: ' num2str(toc) ' seconds']);